Skip to main content
POST
Error

Authorizations

X-API-KEY
string
header
required

The authorization key obtained from the CSP organization.

Headers

X-B3-TraceId
string

The TraceId indicates the overall ID of the trace. Every span in a trace shares this ID. The X-B3-TraceId header is encoded as 32 or 16 lower-hex characters. For example, a 128-bit TraceId header might look like 463ac35c9f6413ad48485a3953bb6124.

X-B3-SpanId
string

The SpanId is 64-bit in length and indicates the position of the current operation in the trace tree. The value should not be interpreted; it may or may not be derived from the value of the TraceId. The X-B3-SpanId header is encoded as 16 lower-hex characters. For example, a SpanId header might look like a2fb4a1d1a96d312. Unless propagating only the Sampling State, the X-B3-SpanId header is required.

X-B3-ParentSpanId
string

The ParentSpanId is 64-bit in length and indicates the position of the parent operation in the trace tree. When the span is the root of the trace tree, there is no ParentSpanId. The X-B3-ParentSpanId header may be present on a child span and must be absent on the root span. It is encoded as 16 lower-hex characters. For example, a ParentSpanId header might look like 0020000000000001.

Path Parameters

id
string
required

The partner subscription id which is being updated.

Maximum string length: 36

Body

*/*

Partner subscription update validation request

newProductCode
string
required

New product code that is being changed.

Maximum string length: 128
dateOfChange
string<datetime>
required

Date the product change will take effect.

Maximum string length: 36
partnerCode
string
required

Code for the partner who owns this subscription.

Maximum string length: 36

Response

Validated Entitlement Update

changeStatus
enum<string>
required

Account update status - Approved or not by CSP.

Available options:
Approved,
Declined
Maximum string length: 36
declineReason
enum<string>

Decline reason if applicable.

Available options:
CustomerNotEligible,
PaymentInstrumentFailure,
UserActionNeededPayment,
UserActionNeededConfirmation,
Other
Maximum string length: 128